<aside class="rightBar blogRight">
        <?php dynamic_sidebar('Right Sidebar'); ?>
        
        
       
       
<?php $posts = get_posts(array(
	'meta_query' => array(
		array(
			'key' => 'feature_this_post',
			'value' => '1',
			'compare' => '=='
		)
	)
));

if( $posts )
{
	echo '<h3>Featured Posts</h3>';
	echo '<ul>';
	foreach( $posts as $post )
	{
		setup_postdata( $post );

		// ...
		echo '<li><a href="'.get_the_permalink().'">'.get_the_title().'</a></li>';

	}
	echo '</ul>';
	wp_reset_postdata(); // IMPORTANT - reset the $post object so the rest of the page works correctly
}

?>



        <?php dynamic_sidebar('Blog Options'); ?>
    </aside>